# Uses of Class
org.eclipse.jdt.launching.LibraryLocation

Packages that use LibraryLocation
Package
Description
org.eclipse.jdt.launching
Application programming interfaces for interaction with the Eclipse Java launching support.
org.eclipse.jdt.launching.environments
Application programming interfaces and classes for execution environments.

## Uses of LibraryLocation in org.eclipse.jdt.launching

Methods in org.eclipse.jdt.launching that return LibraryLocation
Modifier and Type
Method
Description
`LibraryLocation[]`
IVMInstallType.`getDefaultLibraryLocations(File installLocation)`
Returns a collection of `LibraryLocation`s that represent the default system libraries of this VM install type, if a VM was installed at the given `installLocation`.
`LibraryLocation[]`
AbstractVMInstall.`getLibraryLocations()`
`LibraryLocation[]`
IVMInstall.`getLibraryLocations()`
Returns the library locations of this IVMInstall.
`static LibraryLocation[]`
JavaRuntime.`getLibraryLocations(IVMInstall vm)`
Evaluates library locations for a IVMInstall.
Methods in org.eclipse.jdt.launching with parameters of type LibraryLocation
Modifier and Type
Method
Description
`void`
AbstractVMInstall.`setLibraryLocations(LibraryLocation[] locations)`
`void`
IVMInstall.`setLibraryLocations(LibraryLocation[] locations)`
Sets the library locations of this IVMInstall.

## Uses of LibraryLocation in org.eclipse.jdt.launching.environments

Methods in org.eclipse.jdt.launching.environments that return LibraryLocation
Modifier and Type
Method
Description
`LibraryLocation[]`
ExecutionEnvironmentDescription.`getLibraryLocations()`
Returns the location of the system libraries defined in this execution environment.
Methods in org.eclipse.jdt.launching.environments with parameters of type LibraryLocation
Modifier and Type
Method
Description
`IAccessRule[][]`
IAccessRuleParticipant.`getAccessRules(IExecutionEnvironment environment, IVMInstall vm, LibraryLocation[] libraries, IJavaProject project)`
Returns a collection of access rules to be applied to the specified VM libraries and execution environment in the context of the given project.
`IAccessRule[][]`
IExecutionEnvironment.`getAccessRules(IVMInstall vm, LibraryLocation[] libraries, IJavaProject project)`
Returns a collection of access rules to be applied to the specified VM libraries for this execution environment in the context of the given project.